package cn.iocoder.yudao.module.system.mq.producer.task;

import cn.iocoder.yudao.module.system.mq.message.RemoteSendMessage;
import cn.iocoder.yudao.module.system.mq.message.task.TaskDistributionMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Slf4j
@Component
public class TaskDistributionProducer {

    @Resource
    private ApplicationContext applicationContext;

    public void sendSmsSendMessage(TaskDistributionMessage message) {
        applicationContext.publishEvent(message);
    }

}
