package cn.iocoder.yudao.module.system.service.mqtt;


import cn.iocoder.yudao.module.system.service.log.RobotTaskLineTimeConsumingService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class PlanningRobotLineDistanceServiceImpl implements MqttService{

    @Resource
    private RobotTaskLineTimeConsumingService taskLineTimeConsumingService;

    @Override
    public void analysisMessage(String message) {
        log.info("111111更新路线长度 :{}",message);
        taskLineTimeConsumingService.addTaskLineTimeConsuming(message);
    }
}
